module Gallus
  module Output
    # Public: A thread safe IO stream output that writes to given file.
    class File < Stream
      def initialize(filename, format)
        @file = ::File.open(filename, 'a+')
        super(@file, format)
      end

      def close
        @file.close
      end
    end
  end
end
