require 'json'

module Gallus
  module Serialization
    # Public: Serialization handler that produces JSON data.
    class JSON
      def self.call(payload)
        return if payload.nil? or payload.empty?
        payload.to_h.to_json
      end
    end
  end
end
